> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all protection profiles

> List all protection profiles (filtered, sorted). Sorting by default is by 'created_at' field desc.



## OpenAPI

````yaml /api-reference/services_documented/ddos_protection_api.yaml get /security/sifter/v3/profiles/all
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DDoS Protection API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Event Logs
    x-displayName: Event Logs
  - name: BGP announces
    x-displayName: BGP announces
  - name: Protected Networks
    x-displayName: Protected Networks
  - name: Protection Profiles
    x-displayName: Protection Profiles
  - name: Protection Templates
    x-displayName: Protection Templates
  - name: Security Templates
    x-displayName: Security Templates
  - name: Profiles
    x-displayName: Profiles
paths:
  /security/sifter/v3/profiles/all:
    get:
      tags:
        - Protection Profiles
      summary: List all protection profiles
      description: >-
        List all protection profiles (filtered, sorted). Sorting by default is
        by 'created_at' field desc.
      operationId: list_all_protection_profiles_api_v3_profiles_all_get
      parameters:
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 255
              - type: 'null'
            description: Filter by name
            title: Name
          description: Filter by name
        - name: client_id
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 1000000000
                minimum: 1
              - type: 'null'
            description: A positive integer ID
            title: Client Id
          description: A positive integer ID
        - name: order_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 255
              - type: 'null'
            description: Ordering, e.g. 'created_at,name'
            title: Order By
          description: Ordering, e.g. 'created_at,name'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProtectionProfileListResponse'
                title: Response List All Protection Profiles Api V3 Profiles All Get
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Request'
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Request'
          description: Forbidden
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProtectionProfileListResponse:
      properties:
        id:
          type: integer
          title: Id
          description: Identifier for the protection profile
        name:
          type: string
          title: Name
          description: Name of the protection profile
        template:
          $ref: '#/components/schemas/ProfileTemplateInProfile'
          description: Associated profile template
        client_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Client Id
          description: Identifier of the client owning this profile
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the profile was created
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: Timestamp of the last modification
        networks:
          items:
            anyOf:
              - type: string
                format: ipv4network
              - type: string
                format: ipv6network
          type: array
          title: Networks
          readOnly: true
      type: object
      required:
        - id
        - name
        - template
        - created_at
        - networks
      title: ProtectionProfileListResponse
      example:
        client_id: 3
        created_at: '2025-06-15T10:30:00Z'
        id: 10
        modified_at: '2025-07-20T14:45:00Z'
        name: Web Server Protection
        networks:
          - 192.168.1.0/24
          - 10.0.0.0/16
        template:
          id: 1
          name: DDoS Protection Standard
    Request:
      properties: {}
      type: object
      title: Request
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/security_iaas_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProfileTemplateInProfile:
      properties:
        id:
          type: integer
          title: Id
          description: Unique identifier of the template
        name:
          type: string
          title: Name
          description: Name of the template
      type: object
      required:
        - id
        - name
      title: ProfileTemplateInProfile
      example:
        id: 1
        name: DDoS Protection Standard
    security_iaas_ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````